Report Download
Trijicon ACOG TA31F-RMR Scope
Version 1.3 | Last Updated: 04-09-2017, 01:18 PM
Filetype: application/octet-stream
MD5: 6c4c40bec73bb0e5122d571b1ec7ea2e
Status: Public
Views: 9050
Downloads: 2209
3 0
>:3
Submitter (Submissions)
Matched Content


Shortlink:
This mod adds ACOG TA31F-RMR (ACOG+RMR combo) as standalone scope.
Scope adds own gadget that allows to switch sights with gadget key. In-game reticle is only used by RMR sight.

BeardLib is required.

PD2 skins: Basic support


Extract archive content to "mod_overrides".
How to Install Custom Maps, Weapons etc (Beardlib + BLT + Mod_overrides) tutorial by Master Indigo

Recommended mods to use with custom attachments:
Update All Mods - Makes mod updating process less annoying especially if there was multiple custom weapon/etc updates same day.
1.3
- Updated mod for v1.68.199.
1.29
- Updated for Gage Russian Weapon Pack DLC.
1.28
- Removed support for custom weapons it will be handled by separate mod - Custom attachments for custom weapons
1.27
- Added support for more custom weapons.
1.26
- Fixed crash caused by latest Valmet Rk.62 update.
- Added support for more custom weapons.
1.25
- Added support for TTI TR-1.
1.24
- Added support for more custom weapons.
- Fixed SUB-2000 stance_mod.
1.23
- Added support for more custom weapons.
1.22
- Added support for more custom weapons.
- Fixed VSS stance_mod.
1.2-1.21
- Added support for more custom weapons.
1.18
- Added support for HK417.
1.17
- Added support for more custom weapons.
1.16
- Added support for more custom weapons.
- Fixed VHS stance_mod.
1.15
- Reverted changes in script.
- Added support for XM25 (Arbiter).
- Fixed "45 Degree Red-dot Sight" could be used.
1.13-1.14
- Small fixes.
1.12
- Added support for more custom weapons.
1.11
- Added support for SRS and UMP45.
1.1
- Scope is now usable with secondary weapons.
- Added support for more custom weapons.
1.05
- Added support for more custom weapons.
1.04
- Fixed L115 and SR3M gadget could be used.
- Added support for more custom weapons.
1.02
- Fixed crash related to Valmet Rk.62 mod.
1.0
- Reverted changes from update that added RMR as gadget since it cause some problems.
- Scope is now standalone attachment.
- Fixed RMR not being usable on AK/M14 without scope mount.
- Fixed RMR on some Galil handguards.
- Added support for recent custom weapons.
Model - Battlefield Hardline (Visceral/EA)
Texture - Battlefield 4 (DICE/EA), Battlefield Hardline (Visceral/EA)
RMR with mount model/texture - Medal of Honor Warfighter (Danger Close/EA)
TA31 reticle mesh - >:3/Pawcio1337

[-]
Leave a comment
To leave a comment you must log in.

02-17-2017, 06:25 PM
@>:3 I had just installed the Valmet & got all the recently updated mods of yours, then I was receiving the issues, that and an error trying to get server number of assets (but I don't think that one is connected).

Here is the info from the crash.txt, I didn't know how much I should post so I just decided to post all of it.

Application has crashed: C++ exception
...COG TA31F-RMR Scope/Hooks/weaponfactorytweakdata.lua:424: attempt to index field 'override' (a nil value)



SCRIPT STACK



-------------------------------

Callstack:

         payday2_win32_release  (???)     ???                                                 
         payday2_win32_release  (???)     ???                                                 
         payday2_win32_release  (???)     ???                                                 
         payday2_win32_release  (???)     ???                                                 
         payday2_win32_release  (???)     ???                                                 
         payday2_win32_release  (???)     ???                                                 


-------------------------------

Current thread: Main

-------------------------------

System information:
    Application version : 1.64.1
    CPU : Intel® Core™ i5-3330 CPU @ 3.00GHz (2 cores); SSE; SSE2; SSE3; SSSE3; SSE4.1; SSE4.2
    DirectX : 10.0
    GPU : NVIDIA GeForce GTX 750 Ti / nvd3dum.dll[9.18.13.4709]
    Language : @ID94cca2fdaccfc2cd@
    Memory :     16338MB 980KB
    OS : 6.1.7601 (Service Pack 1) 0x300-0x1 (64 bits)
    Physics : threaded
    Renderer : DX9 threaded
    Sound : Microsoft (Speakers (3- USB Audio Device))




02-17-2017, 06:16 PM
@BloodNDeception: Post crash.txt and do you use "Valmet Rk.62" mod ?

02-17-2017, 06:13 PM
Getting a crash now with this mod but I don't know what might be causing it.

01-25-2017, 01:25 PM
@TOSTITOS KYOUKO!: Fixed.

01-25-2017, 10:20 AM
The viewmodel for the Cavity 9mm is glitched when you use the red dot. It just zooms out the ACOG and doesn't go up to the red dot.

01-21-2017, 12:26 PM
@Pounc3r: Update it manually.

01-21-2017, 09:41 AM
how do i turn off auto update everytime it autoupdates the file doesn't extract

01-19-2017, 01:44 PM
@B Dawg Ⓢ: But it look too cool for thumbnail csdmad

01-19-2017, 01:32 PM
Putting sights/scopes on an XM8 should be a crime!

12-04-2016, 08:45 PM
The update doesn't extract for some reason

11-30-2016, 02:39 PM
@[Fs]Lemonificent: 1) Should be fixed now. 2) That don't looks like related to TOZ-66 mod.
@Noa (2): No only one additional sight can be used.
@HMS Boathugger 96: Should be fixed now.

11-30-2016, 12:51 PM
Getting 

Application has crashed: C++ exception

[string "core/lib/utils/coretable.lua"]:32: bad argument #1 to 'pairs' (table expected, got nil)

With this, and 

Application has crashed: C++ exception

mods/base/req/json.lua:366: Unexpected character at Line 1 character 1: 

With the TOZ-66 mod, game runs fine without both of them.

***** broke, yo.

11-30-2016, 10:52 AM
Is there a way to fix this problem? I wish to become very tacticool and put three optics on my gun. If there is no fix, then I will have to settle for putting only two optics. It is okay, I think.

https://steamcommunity.com/sharedfiles/f...=809319157

11-30-2016, 08:08 AM
XM25 sight restoration when?

11-30-2016, 06:58 AM
coincidentally, im getting the same instant crash as everyone else after this updated, and removing this fixed it

11-30-2016, 04:25 AM
@replingham153: If you getting "bad argument #1 to 'pairs' (table expected, got nil)" then its not from my mods so list of active mods on that crash would be helpful.

11-30-2016, 01:55 AM
I'm getting the same crash, I've removed this mod but still get the crashes. I don't have EAC but it could be one of the later updates for one of your weapons. checking...removed vss, valmet and srm3... valmet was causing the crash.

11-30-2016, 12:22 AM
@Seamlink: Thanks for checking.

11-30-2016, 12:09 AM
It was EAC, confirmed with 5 of my testers..

11-30-2016, 12:05 AM
oh, might be EAC! let me check